Skip to main content
GET
/
v1
/
users
/
{userId}
/
wallets
Get user wallets balances
curl --request GET \
  --url https://api.cadanapay.com/v1/users/{userId}/wallets \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.cadanapay.com/v1/users/{userId}/wallets"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.cadanapay.com/v1/users/{userId}/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "517075a2-17db-469f-9481-eb8347cb920c",
      "currency": "USD",
      "balance": 703448,
      "available": 703448,
      "processing": 0
    },
    {
      "id": "6a8f81b3-28ec-470c-a592-fc9458dc031d",
      "currency": "EUR",
      "balance": 248912,
      "available": 248912,
      "processing": 0
    }
  ],
  "node": {
    "previous": null,
    "next": null
  }
}
{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}
{
"code": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Path Parameters

userId
string<uuid>
required

The unique identifier for the user

Example:

"c06f3427-3bbe-4d70-9a54-28acda267e48"

Response

Get user account balances

data
object[]
node
object

Node pagination